---

Alias: ["Dashboard"]
Date: 2021-11-20
DocType: "Note"
ChildrenType: ["Task", "Note"]
Hierarchy: "Root"
TimeStamp:
location: [47.3639129,8.55627491017841]
CollapseMetaTable: Yes

---

Parent:: [[Life Admin]]

---

&emsp;

```button
name Create Note
type append template
action NewFile
id CreateNote
```
^button-DailytrackerNewTask

```button
name Save
type command
action Save current file
id Save
```
^button-DailytrackerSave


&emsp;

```jsx:
<center><Clock /></center>
```

&emsp;

<center>Flamatt, Switzerland: 🌫  🌡️-4°C 🌬️→0km/h</center>

&emsp;

# Main dashboard

&emsp;

```ad-abstract
title: Summary
collapse: open
This space is the main dashboard of my vault.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Next 5 birthdays

&emsp;

```tasks
not done
path includes Family
description includes :birthday:
limit to 5 tasks
sort by due
hide backlink
hide task count
```

&emsp;

---

&emsp;

### Task management

&emsp;

#### Main Tasks

```dataviewjs
const {taskFunc} = customJS
taskFunc.getAllTasks({app, dv, luxon, that:this, theme: "LifeHacks"}) 
```

&emsp;

#### Next 5 recurring to-dos

```tasks
not done
is recurring
description does not include :birthday:
sort by due
limit to 5 tasks
hide backlinks
hide task count
```

&emsp;

#### Next 5 one-off to-dos

```tasks
not done
is not recurring
path does not include Templates
limit to 5 tasks
hide backlinks
hide task count
```

&emsp;

---

&emsp;

### Current reading

&emsp;

```dataview
Table without id "![](" + Source.Cover + ")" as "Cover", file.link as "Title", Source.Author as "Author", Source.Published as "Publication Date", Source.Language as "Language" 
where Source.Type = "Book"
where ReadingState = "In progress"
```

&emsp;

---

&emsp;

### 3 Recipe ideas to try

&emsp;

`dice: #NotYetTested|link`
`dice: #NotYetTested|link`
`dice: #NotYetTested|link`

&emsp;

---

&emsp;

### Health

&emsp;

#### Sleep Pattern

``` tracker
searchType: frontmatter
searchTarget: Sleep
folder: /00.01 Admin/Memos
startDate: 2022-01-22
endDate:
line:
    xAxisLabel: Date
    yAxisLabel: Hours slept
    lineColor: green
    showPoint: false
    xAxisColor: grey
    xAxisLabelColor: grey
    yAxisColor: grey
    yAxisLabelColor: grey
```

&emsp;

#### Daily Steps

``` tracker
searchType: frontmatter
searchTarget: Steps
folder: /00.01 Admin/Memos
startDate: 2022-01-22
endDate:
line:
    xAxisLabel: Date
    yAxisLabel: "# of steps"
    lineColor: cyan
    showPoint: false
    xAxisColor: grey
    xAxisLabelColor: grey
    yAxisColor: grey
    yAxisLabelColor: grey
```

&emsp;

#### Water Consumption

``` tracker
searchType: frontmatter
searchTarget: Water
folder: /00.01 Admin/Memos
startDate: 2022-01-22
endDate:
line:
    xAxisLabel: Date
    yAxisLabel: Amount of soft drink (liter)
    lineColor: blue
    showPoint: false
    xAxisColor: grey
    xAxisLabelColor: grey
    yAxisColor: grey
    yAxisLabelColor: grey
```

&emsp;

#### Coffee Consumption

``` tracker
searchType: frontmatter
searchTarget: Coffee
folder: /00.01 Admin/Memos
startDate: 2022-01-22
endDate:
line:
    xAxisLabel: Date
    yAxisLabel: "# Espresso shots"
    lineColor: brown
    showPoint: false
    xAxisColor: grey
    xAxisLabelColor: grey
    yAxisColor: grey
    yAxisLabelColor: grey
```

&emsp;

#### Mood

``` tracker
searchType: frontmatter
searchTarget: Stress, FrontHeadBar, EarHeadBar, BackHeadBar
datasetName: Discomfort, Front Headache, Ear Headache, Neck Headache
folder: /00.01 Admin/Memos
startDate: 2022-01-22
endDate:
line:
    xAxisLabel: Date
    yAxisLabel: Intensity (base 100)
    lineColor: red, yellow, orange, purple
    showPoint: false
    showLegend: true
    legendPosition: bottom
    xAxisColor: grey
    xAxisLabelColor: grey
    yAxisColor: grey
    yAxisLabelColor: grey
```

&emsp;

---

&emsp;

### Obsidian Activity

```ActivityHistory
/
```

```commits-recents
project=/
divWidth=50
divAlign=left
```

```commits-type
project=/
divWidth=50
divAlign=right
```

&emsp;
&emsp;